<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA: Journées Francophones des Langages Applicatifs</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA: Journées Francophones des Langages Applicatifs</H1>

<CENTER><IMG SRC="../imgs/msm.jpg" HEIGHT=150 WIDTH=273>
        <IMG SRC="../imgs/avoriaz.jpg" HEIGHT=150 WIDTH=273>
</CENTER>

<H2 ALIGN=LEFT>Le comité de pilotage des JFLA</H2>

<P>Le comité de pilotage des JFLA réfléchit aux inflexions à donner à
la conférence. Il veille à la déontologie de la conférence. Il
s'attache à conserver un caractère amical et ouvert à la
manifestation, dont il surveille attentivement le lieu d'hébergement
et les conditions financières de participation: les JFLA sont toujours
une conférence au prix très modique afin de faciliter au maximum la
participation des étudiants.

<P>Vous devez avoir l'aval du comité de pilotage pour fixer le lieu de
la manifestation et la composition du comité de programme.

<P>Pierre Weis (Pierre.Weis at inria.fr) est le président du Comité de
Pilotage des JFLAs dont les membres sont:

<UL>
  <LI>Pierre Castéran (casteran at labri.fr)
  <LI>Catherine Dubois (dubois at iie.cnam.fr)
  <LI>Thérèse Hardin (Therese.Hardin at lip6.fr)
  <LI>Alan Schmitt (Alan.Schmitt at inria.fr)
</UL>

<P>Le comité de pilotage est toujours prêt à donner un coup de main, un
conseil, un encouragement. N'hésitez pas à le mettre en copie de vos échanges
épistolaires concerannt les JFLA. Une bonne idée aussi est d'intégrer le
président de l'année précédente dans la boucle: les présidents des JFLA sont
sympathiques (comme vous :) et toujours prêts à donner un coup de main.

<H2 ALIGN=LEFT>Déontologie</H2>

<P>Le président de la conférence peut (et même doit) encourager les
chercheurs de son entourage à soumettre à la conférence. Même et y
compris les membres de son équipe ou ses propres thésards. En
revanche, lorsqu'un papier est soumis par un chercheur proche du
président, il est demandé au président d'observer scrupuleusement la
règle du ``vice-président'': c'est au vice-président qu'il confie la
distribution des relectures des papiers concernés et c'est le
vice-président qui juge de leur acceptation.

<P>Il va sans dire que la règle symétrique s'applique: les papiers issus de
l'équipe du vice-président seront jugés par le président sans la
participation du vice-président.

<P>Les membres du comité de programme peuvent soumettre eux-mêmes un
papier (ou être co-auteur d'un papier), à condition qu'ils ne
participent pas au jugement sur l'acceptation du papier soumis et que
ce papier soit relu par au moins 3 membres du comité de programme.

<H2 ALIGN=LEFT>Procédure de sélection</H2>

<P>Les papiers doivent tous être revus par au moins 2 membres du
comité de programme.

<P>Les papiers qui sont recalés doivent être lus par une personne de
plus pour s'assurer du bien fondé du jugement: les papiers recalés
reçoivent donc au moins 3 revues.

<P>Veillez à la bienséance des commentaires envoyés aux auteurs des
papiers rejetés: pas de commentaires à l'emporte-pièce qui
risqueraient de décourager les auteurs.

<P>Sauf exception rarissime, les commentaires des papiers rejettés doivent
encourager la soumission l'année suivante, après une sérieuse relecture.

<H2 ALIGN=LEFT>L'organisation matérielle</H2>

<P>Elle est prise en charge par les Cours-Colloques de l'INRIA qui
sont efficaces et de commerce agréable. N'hésitez pas à les contacter.

<P>Pierre Weis s'occupe de fabriquer le site Ouèbe des JFLA de l'année
à partir des informations que vous lui communiquerez (voir plus bas).

<H2 ALIGN=LEFT>Le comité de programme</H2>

<P>Vous devez choisir un vice-président du comité de programme qui
deviendra le président de l'année suivante. Attention, sauf en cas
d'impossibilité, le sexe du président est alternativement masculin et
féminin: il faut donc toujours choisir le vice-président du sexe
opposé au vôtre.

<P>Le vice-président vous aidera à l'organisation scientifique de la
conférence et se chargera de référer les papiers qui concernent
directement votre propre équipe de recherche (pour des raisons de
déontologie vous ne pouvez pas vous charger de juger ces
papiers). Réciproquement, vous devrez vous charger de référer les papiers qui
concernent directement l'équipe de votre vice-président.

<P>Le comité de programme doit comporter environ 10 membres pour ne
pas les surcharger de relectures. Veillez à équilibrer les genres: les
appartenances (universités/instituts de recherche), les qualités
(enseignants/chercheurs/industriels), les domaines
(programmation/preuves/spécifications), les âges (jeunes
chercheurs/chercheurs qualifiés/seniors), les sexes. En outre, il
faut traditionellement au moins un ou 2 membres de l'INRIA.

<P>On peut faire partie du comité 2 ou 3 ans de suite ou même plus.

<P>On ne peut pas être président sans avoir fait partie du comité au
moins 2 ans auparavant.

<P>Les comités de programme des années antérieures sont <A
HREF="comites.html">ici</A>.

<H2 ALIGN=LEFT>Les conférenciers invités</H2>

<P>Vous devez choisir deux conférenciers invités, à votre guise.

<P>Ces conférenciers sont invités à parler à la conférence, mais ils
paient leurs frais, de façon à ne pas peser sur le budget de la
conférence (en général les conférenciers invités sont séniors et n'ont
aucun problème pour se faire payer la conférence par leur
établissemment). Veillez à les prévenir de ce détail, afin de ne pas
les surprendre désagréablement.

<H2 ALIGN=LEFT>Les cours des JFLA</H2>

<P>À partir de 2006 des cours ont été organisés sur Coq, sur Focal, sur
Caml. Ces cours ont eu un grand succès. C'est pourquoi il serait judicieux de
continuer cette expérience pour la changer en tradition si le succès se
confirme.

<P>Vous pouvez donc lancer un appel à cours (de 2 fois 3 heures chacun) parmi
les bons professeurs/orateurs que vous connaissez. L'exercice est difficile,
car il faut intéresser tout le monde, du débutant au chercheur
confirmé. Cette mission a été remarquablement réussie en 2006, 2007, 2008 et
2009. Il s'agit de faire au moins aussi bien cette année!

<H2 ALIGN=LEFT>Le calendrier</H2>

<P>Il est <A HREF="schedule.html">là</A>. Il vous aidera à ne pas prendre
de retard sur la préparation de la conférence.

<H2 ALIGN=LEFT>Le site Ouèbe</H2>

<P>Le site ouèbe des JFLA est généré automatiquement à partir d'un Makefile.

<P>Les fichiers sources du site sont entièrement sous CVS sur le serveur
principal du bâtiment 8 (la machine <CODE>yquem.inria.fr</CODE>). Le site
ouèbe est servi par la machine <CODE>pauillac.inria.fr</CODE> qui a aussi pour
alias le nom <CODE>jfla.inria.fr</CODE>; d'où l'adresse très simple du site
<CODE>http://jfla.inria.fr/</CODE>.

<P>Le président des JFLA possède un compte sur la machine <CODE>yquem</CODE>
sous le nom d'utilisateur <CODE>jfla</CODE>. Vous pouvez donc accéder
à <CODE>yquem.inria.fr</CODE> par ssh sous le nom d'utilisateur
<CODE>jfla</CODE> en demandant à Pierre Weis d'ajouter vos clefs ssh dans les
clefs admises par l'utilisateur <CODE>jfla</CODE>.

<PRE>
yquem$ ls ~jfla
src
yquem$ ls ~jfla/src
site_jfla
yquem$ ls ~jfla/src/site_jfla
CVS       Makefile         Makefile.conference  adm         imgs       index.html
Includes  Makefile.common  Makefile.include     generation  index.htm
</PRE>

<P>La mise à jour et l'installation du site ouèbe consiste donc à mettre à
jour certains fichiers des sources du site.

<P>Le moyen le plus simple est évidemment de modifier directement
sur <CODE>yquem.inria.fr</CODE> au nom de l'utilisateur <CODE>jfla</CODE>. Si
votre accès à <CODE>yquem.inria.fr</CODE> est par trop difficile ou lent, la
méthode d'une copie locale peut s'avérer plus pratique: demander à vos
gourous locaux de vous aider à obtenir une copie locale du site des JFLA.

<H2 ALIGN=LEFT>Le fichier nécessaire à fabriquer le site Ouèbe</H2>

<P>Le site ouèbe des JFLA est donc généré automatiquement, à partir des
renseignments et fichiers fournis par le président des JFLA.

<P>Les fichiers à modifier se trouvent tous dans le sous-répertoire
<CODE>adm/president</CODE> des sources du site des JFLA:

<PRE>
yquem$ ls ~jfla/src/site_jfla/adm/president/
CVS  conf_env_president.ml  generated
photo_hotel_conf.jpg  photo_site_conf.jpg
</PRE>

<P>Vous <STRONG>DEVEZ</STRONG> intervenir sur les trois fichiers suivants:
<UL>
  <LI><CODE>conf_env_president.ml</CODE>: éditez ce fichier pour donner les
  renseignements convernant la conférence de cette année.</LI>
  <LI><CODE>photo_hotel_conf.jpg</CODE>: remplacez cette photo par la photo de l'hôtel
  où va se tenir la conférence.</LI>
  <LI><CODE>photo_site_conf.jpg</CODE>: remplacez cette photo par une photo
  du site où va se dérouler la conférence (on la prend généralement sur le
  site du syndicat d'initiative du lieu)</LI>
</UL>

<P>Après toute modification, vous devez enregistrer la nouvelle version du
fichier avec une commande <CODE>cvs</CODE> du type:

<PRE>
yquem$ cvs commit -m '<explication de la modification>' [nom_du_fichier]
</PRE>

<P>Le fichier <CODE>conf_env_president.ml</CODE> est en fait un programme
Caml qui définit les valeurs des champs des pages Web du site de la
conférence, des programmes de gestion des inscriptions, etc. Vous devez donc
le remplir soigneusement, puis évidemment l'enregistrer dans les sources du site des
JFLA avec la commande:

<PRE>
yquem$ cvs commit -m '<explication>' conf_env_president.ml
</PRE>

<P>Attention en éditant ce fichier: vous ne devez pas changer son format qui
doit être purement ASCII (ISO8859-1, i.e. avec accents français ISO, pas
d'accents au codage spécifique Windows ou Mac). Il deviendrait inutilisable
si vous le transformiez en fichier Word/HTML/RTF ou autre. En effet le
fichier doit rester un programme Caml valide et donc un pur fichier ascii que
vous aurez édité à l'aide d'un éditeur de texte (emacs, vim, pico, vi, ed ou
autre).

<P>Vous n'aurez bien entendu pas toutes les informations du premier coup;
remplissez ce que vous savez, puis vous le complèterez lorsque vous aurez
plus d'informations. Les champs inconnus de vous doivent être cependant
remplis avec la mention «Non communiqué» qui apparaît alors sur les pages
Ouèbes.

<H2 ALIGN=LEFT>L'appel aux communications</H2>

<P>L'appel aux comunications doit être envoyé sur les mailing listes de
coq et caml (<CODE>coq-list@inria.fr</CODE> et <CODE>caml-list@inria.fr</CODE>).

<P>Il est fabriqué automatiquement à l'aide du fichier de renseignement du paragraphe
précédent et du modèle
<A
HREF="president/generated/premier-appel-aux-communications.data">suivant</A>,
le fichier
<CODE>~jfla/src/site_jfla/adm/president/generated//premier-appel-aux-communications.data</CODE>.

<P>Lorsque le site des JFLA aura été régénéré, l'appel aux communications
prêt à l'envoi dans les mailing listes se trouvera aussi dans le répertoire
<CODE>generated</CODE> sous le nom <CODE>appel1.txt</CODE>.
Si le texte du fichier <CODE>appel1.txt</CODE> ne vous convient pas, vous pouvez le
modifier en éditant son modèle, à savoir le fichier
<CODE>generated/premier-appel-aux-communications.data</CODE>.

<H2 ALIGN=LEFT>La génération du site ouèbe</H2>

<P>Dans le répertoire <CODE>~jfla/src/site_jfla</CODE>, taper make.

<H2 ALIGN=LEFT>L'installation du site ouèbe sur le serveur HTTP</H2>

<P>Demandez à Pierre Weis ou à un gourou local...
<--
<P>Dans le répertoire <CODE>~jfla/src/site_jfla</CODE>, taper make install.
-->

<H2 ALIGN=LEFT>Les autres fichiers générés pour vous</H2>

<P>Fichiers d'acceptation et de rejet des soumissions.

<HR>

<ADDRESS>
Mis à jour par <A HREF="http://bat8.inria.fr/~weis/">Pierre.Weis@inria.fr</A>
</ADDRESS>

</BODY>
</HTML>
